cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess > Struct Template Reference

`#include <pitch_linear_thread_map.h>`

## Public Types

using | TensorCoord = layout::PitchLinearCoord
using | Iterations = layout::PitchLinearShape< Shape::kContiguous/(kThreads *kElementsPerAccess), Shape::kStrided >
using | Delta = layout::PitchLinearShape< 1, 1 >

## Static Public Member Functions

static CUTLASS_HOST_DEVICE TensorCoord | initial_offset (int thread_id)

## Static Public Attributes

static int const | kThreads = Threads
static int const | kElementsPerAccess = ElementsPerAccess

## Member Typedef Documentation

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess >::Delta = layout::PitchLinearShape<1, 1>

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess >::Iterations = layout::PitchLinearShape< Shape::kContiguous / (kThreads * kElementsPerAccess), Shape::kStrided>

template<typename Shape , int Threads, int ElementsPerAccess = 1>

using cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess >::TensorCoord = layout::PitchLinearCoord

## Member Function Documentation

template<typename Shape , int Threads, int ElementsPerAccess = 1>

static CUTLASS_HOST_DEVICE TensorCoord cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess >::initial_offset | ( | int | thread_id | ) |

inlinestatic

## Member Data Documentation

template<typename Shape , int Threads, int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess >::kElementsPerAccess = ElementsPerAccess

static

template<typename Shape , int Threads, int ElementsPerAccess = 1>

int const cutlass::transform::PitchLinearTilePolicyStripminedThreadContiguous< Shape, Threads, ElementsPerAccess >::kThreads = Threads

static

The documentation for this struct was generated from the following file:

- pitch_linear_thread_map.h